Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.bridge
Class JBossServletContextProvider

    java.lang.Object
      org.jboss.portal.portlet.bridge.JBossServletContextProvider

All Implemented Interfaces:
  org.apache.portals.bridges.common.ServletContextProvider

    public class JBossServletContextProvider

extends java.lang.Object
implements org.apache.portals.bridges.common.ServletContextProvider

The JBoss implementation of `org.apache.portals.bridges.common.ServletContextProvider` use thread local variables to keep the request associated with the current thread of execution.

Version:
  $Revision: 7226 $
Author:
  Swarn Dhaliwal, Julien Viet

Nested Class Summary
`static class` | `JBossServletContextProvider.BridgeInfo`

Constructor Summary
`JBossServletContextProvider()`

Method Summary
`static JBossServletContextProvider.BridgeInfo` | `get()`
`javax.servlet.http.HttpServletRequest` | `getHttpServletRequest(GenericPortlet genericPortlet, PortletRequest portletRequest)`
`javax.servlet.http.HttpServletResponse` | `getHttpServletResponse(GenericPortlet genericPortlet, PortletResponse portletResponse)`
`javax.servlet.http.HttpServletResponse` | `getHttpServletResponse(GenericPortlet genericPortlet, PortletResponse portletResponse, boolean buffered)`
`javax.servlet.ServletContext` | `getServletContext(GenericPortlet genericPortlet)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JBossServletContextProvider

    public JBossServletContextProvider()

Method Detail

### get

    public static JBossServletContextProvider.BridgeInfo get()

### getServletContext

    public javax.servlet.ServletContext getServletContext(GenericPortlet genericPortlet)
                                                   throws java.lang.IllegalStateException

  Specified by:
    `getServletContext` in interface `org.apache.portals.bridges.common.ServletContextProvider`
  Throws:
    `java.lang.IllegalStateException` - if no bridge info is found

### getHttpServletRequest

    public javax.servlet.http.HttpServletRequest getHttpServletRequest(GenericPortlet genericPortlet,
                                                                       PortletRequest portletRequest)
                                                                throws java.lang.IllegalStateException

  Specified by:
    `getHttpServletRequest` in interface `org.apache.portals.bridges.common.ServletContextProvider`
  Throws:
    `java.lang.IllegalStateException` - if no bridge info is found

### getHttpServletResponse

    public javax.servlet.http.HttpServletResponse getHttpServletResponse(GenericPortlet genericPortlet,
                                                                         PortletResponse portletResponse)
                                                                  throws java.lang.IllegalStateException

  Specified by:
    `getHttpServletResponse` in interface `org.apache.portals.bridges.common.ServletContextProvider`
  Throws:
    `java.lang.IllegalStateException`

### getHttpServletResponse

    public javax.servlet.http.HttpServletResponse getHttpServletResponse(GenericPortlet genericPortlet,
                                                                         PortletResponse portletResponse,
                                                                         boolean buffered)
                                                                  throws java.lang.IllegalStateException

  Throws:
    `java.lang.IllegalStateException` - if no bridge info is found

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD